For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
        • POSTCreate PVC voice
        • POSTUpdate PVC voice
        • POSTTrain PVC voice
        • POSTAdd samples to PVC voice
        • POSTUpdate PVC voice sample
        • DELDelete PVC voice sample
        • GETGet PVC voice sample audio
        • GETGet PVC voice sample waveform
        • GETGet PVC speaker separation status
        • POSTStart speaker separation
        • GETGet separated speaker audio
        • POSTRequest PVC manual verification
        • GETGet PVC verification captcha
        • POSTVerify PVC verification captcha
      • GETList voices
      • GETGet voice
      • DELDelete voice
      • POSTEdit voice
      • POSTList similar voices
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIVoicesPVC

Get PVC voice sample audio

GET
/v1/voices/pvc/:voice_id/samples/:sample_id/audio
GET
/v1/voices/pvc/:voice_id/samples/:sample_id/audio
$curl https://api.elevenlabs.io/v1/voices/pvc/voice_id/samples/sample_id/audio
1{
2 "audio_base_64": "audio_base_64",
3 "voice_id": "DCwhRBWXzGAHq8TQ4Fs18",
4 "sample_id": "DCwhRBWXzGAHq8TQ4Fs18",
5 "media_type": "audio/mpeg",
6 "duration_secs": 5
7}
Retrieve the first 30 seconds of voice sample audio with or without noise removal.
Was this page helpful?
Previous

Get PVC voice sample waveform

Next
Built with

Path parameters

voice_idstringRequired

Voice ID to be used, you can use https://api.elevenlabs.io/v1/voices to list all the available voices.

sample_idstringRequired
Sample ID to be used

Headers

xi-api-keystringOptional

Query parameters

remove_background_noisebooleanOptionalDefaults to false
If set will remove background noise for voice samples using our audio isolation model. If the samples do not include background noise, it can make the quality worse.

Response

Successful Response
audio_base_64string
The base64 encoded audio.
voice_idstring
The ID of the voice.
sample_idstring
The ID of the sample.
media_typestring
The media type of the audio.
duration_secsdouble or null
The duration of the audio in seconds.

Errors

422
Unprocessable Entity Error